CMPOSN(3)

SYNOPSIS
SUBROUTINE CMPOSN (M, N, ISTAG, MIXBND, A, BB, C, Q, IDIMQ, B, B2, + B3, W, W2, W3, D, TCOS, P)

NAME
cmposn - Subsidiary to CMGNBN

LIBRARY
SLATEC

TYPE
COMPLEX (POISN2-S, CMPOSN-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
Subroutine to solve Poisson's equation with Neumann boundary conditions. ISTAG = 1 if the last diagonal block is A. ISTAG = 2 if the last diagonal block is A-I. MIXBND = 1 if have Neumann boundary conditions at both boundaries. MIXBND = 2 if have Neumann boundary conditions at bottom and Dirichlet condition at top. (For this case, must have ISTAG = 1)

SEE ALSO
CMGNBN

ROUTINES CALLED
C1MERG, CMPCSG, CMPTR3, CMPTRX

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
920130 Modified to use merge routine C1MERG rather than deleted routine CMPMRG. (WRB)